require 'erb'

module Hyogen
  class Template
    def self.generate(tables, source_path, output_dir='.')
      @tables = tables
      erb = File.open(source_path) {|f| ERB.new(f.read, nil, "-")}
      result = erb.result(binding)
      File.open(generate_file_name(output_dir,source_path), "w") {|f| f.write result}
    end
    
    def self.generate_file_name(output_dir, source_path)
      filename = File.basename(source_path, File.extname(source_path))
      output_dir + '/' + filename
    end
  end
end
